Skip to navigation

Create an app entry

View as Markdown
Create new app entry

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
id of the directory

Request

This endpoint expects an object.
titlestringRequired1-256 characters
headlinestringRequired1-250 characters
websitestring or nullRequiredformat: "uri">=1 character
statusenumRequired
  • hidden - hidden
  • inactive - inactive
  • public - public
  • searchable - searchable
Allowed values:
descriptionstring or nullOptional
iconstring or nullOptionalformat: "binary"
imagestring or nullOptionalformat: "binary"
iconUrlstring or nullOptionalformat: "uri">=1 character
imageUrlstring or nullOptionalformat: "uri">=1 character
featuredbooleanOptionalDefaults to false
customSlugstring or nullOptional
userAssignedFilterOptionslist of stringsOptional
tierstringOptionalformat: "uuid"

Response

Successful operation
hrefstringRead-only
idstringformat: "uuid"
titlestring<=256 characters
headlinestring or null<=250 characters
typestring<=100 characters
slugstringformat: "^[-a-zA-Z0-9_]+$"<=60 characters
customSlugstring or nullformat: "^[-a-zA-Z0-9_]+$"<=60 characters
statusenum
  • hidden - hidden
  • inactive - inactive
  • public - public
  • searchable - searchable
Allowed values:
iconstring or null
imagestring or null
iconDarkstring or null
imageDarkstring or null
websitestring or nullformat: "uri"
featuredboolean
ownermap from strings to any or null
userAssignedFilterOptionsstringRead-only
systemAssignedFilterOptionsstringRead-only
mappedAssignedFilterOptionsstringRead-only
tierobject or null
lastModifiedobject or nullOptional

Serializer for last_modified info including timestamp and user details.

descriptionstring or nullOptional
iconUrlstring or nullOptionalformat: "uri"
imageUrlstring or nullOptionalformat: "uri"
calloutslist of objectsOptional

Errors

404
Not Found Error